org.apache.tools.ant.taskdefs.email

## Class MimeMailer

- java.lang.Object
- - org.apache.tools.ant.taskdefs.email.Mailer
  - - org.apache.tools.ant.taskdefs.email.MimeMailer

    public class MimeMailer
    extends Mailer

Uses the JavaMail classes to send Mime format email.

Since:
  Ant 1.5

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.email.Mailer

`bccList, ccList, files, from, headers, host, includeFileNames, message, password, port, replyToList, SSL, subject, task, toList, user`

### Constructor Summary

Constructors
Constructor and Description
`MimeMailer()`

### Method Summary

Methods
`void` `send()` Send the email.

### Methods inherited from class org.apache.tools.ant.taskdefs.email.Mailer

`getDate, isPortExplicitlySpecified, isStartTLSEnabled, setBccList, setCcList, setEnableStartTLS, setFiles, setFrom, setHeaders, setHost, setIgnoreInvalidRecipients, setIncludeFileNames, setMessage, setPassword, setPort, setPortExplicitlySpecified, setReplyToList, setSSL, setSubject, setTask, setToList, setUser, shouldIgnoreInvalidRecipients`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MimeMailer

    public MimeMailer()

### Method Detail

#### send

    public void send()

Send the email.

Specified by:
  `send` in class `Mailer`
Throws:
  `BuildException` - if the email can't be sent.